Upstream information

CVE-2010-1188 at MITRE

Description

Use-after-free vulnerability in net/ipv4/tcp_input.c in the Linux kernel 2.6 before 2.6.20, when IPV6_RECVPKTINFO is set on a listening socket, allows remote attackers to cause a denial of service (kernel panic) via a SYN packet while the socket is in a listening (TCP_LISTEN) state, which is not properly handled and causes the skb structure to be freed.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.1
Vector AV:N/AC:M/Au:N/C:N/I:N/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
SUSE Bugzilla entry: 592571 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Open Enterprise Server
  • kernel-bigsmp >= 2.6.5-7.323
  • kernel-debug >= 2.6.5-7.323
  • kernel-default >= 2.6.5-7.323
  • kernel-smp >= 2.6.5-7.323
  • kernel-source >= 2.6.5-7.323
  • kernel-syms >= 2.6.5-7.323
  • kernel-um >= 2.6.5-7.323
  • kernel-xen >= 2.6.5-7.323
  • kernel-xenpae >= 2.6.5-7.323
  • um-host-install-initrd >= 1.0-48.36
  • um-host-kernel >= 2.6.5-7.323
  • xen-kmp >= 3.0.4_2.6.5_7.323-0.2
sles9-oes.x86
YOU Patch Nr: 12637